# PetscErrorPrintf

Prints error messages. Not Collective

### Synopsis

    PetscErrorCode (*PetscErrorPrintf)(const char format[],...);

### Input Parameters

format -the usual printf() format string

### Options Database Keys

| -error_output_stderr | - cause error messages to be printed to stderr instead of the (default) stdout
| -error_output_none to turn off all printing of error messages (does not change the way the | - error is handled.)

Notes: Use PetscErrorPrintf = PetscErrorPrintfNone; to turn off all printing of error messages (does not change the way the error is handled.) and PetscErrorPrintf = PetscErrorPrintfDefault; to turn it back on

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscFPrintf(), PetscSynchronizedPrintf(), PetscHelpPrintf()

Level:developer
Location: include/petsc.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages